Bug 1028413 - [abrt] goldendict-1.0.1-9.fc20: local_Rb_tree_increment: Process /usr/bin/goldendict was killed by signal 11 (SIGSEGV)
[abrt] goldendict-1.0.1-9.fc20: local_Rb_tree_increment: Process /usr/bin/gol...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: goldendict (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Howard Ning
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:847a1c9cc19537dcce70e7bead1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 06:46 EST by Alexander
Modified: 2014-01-31 23:01 EST (History)
1 user (show)

See Also:
Fixed In Version: goldendict-1.5-0.2.RC1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 23:01:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (606.69 KB, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: core_backtrace (10.70 KB, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: dso_list (16.44 KB, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: environ (2.17 KB, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: maps (80.46 KB, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: open_fds (37.97 KB, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details
File: var_log_messages (3.20 KB, text/plain)
2013-11-08 06:46 EST, Alexander
no flags Details

  None (edit)
Description Alexander 2013-11-08 06:46:05 EST
Version-Release number of selected component:
goldendict-1.0.1-9.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        goldendict
crash_function: local_Rb_tree_increment
executable:     /usr/bin/goldendict
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 local_Rb_tree_increment at ../../../../../libstdc++-v3/src/c++98/tree.cc:71
 #1 std::_Rb_tree_increment at ../../../../../libstdc++-v3/src/c++98/tree.cc:91
 #2 operator++ at /usr/include/c++/4.8.1/bits/stl_tree.h:270
 #3 BtreeIndexing::buildBtreeNode at btreeidx.cc:747
 #5 BtreeIndexing::buildIndex at btreeidx.cc:1005
 #6 Stardict::makeDictionaries at stardict.cc:1113
 #7 LoadDictionaries::handlePath at loaddictionaries.cc:109
 #9 LoadDictionaries::run at loaddictionaries.cc:47
 #10 QThreadPrivate::start at thread/qthread_unix.cpp:338
Comment 1 Alexander 2013-11-08 06:46:20 EST
Created attachment 821544 [details]
File: backtrace
Comment 2 Alexander 2013-11-08 06:46:24 EST
Created attachment 821545 [details]
File: cgroup
Comment 3 Alexander 2013-11-08 06:46:28 EST
Created attachment 821546 [details]
File: core_backtrace
Comment 4 Alexander 2013-11-08 06:46:31 EST
Created attachment 821547 [details]
File: dso_list
Comment 5 Alexander 2013-11-08 06:46:36 EST
Created attachment 821548 [details]
File: environ
Comment 6 Alexander 2013-11-08 06:46:39 EST
Created attachment 821549 [details]
File: exploitable
Comment 7 Alexander 2013-11-08 06:46:43 EST
Created attachment 821550 [details]
File: limits
Comment 8 Alexander 2013-11-08 06:46:47 EST
Created attachment 821551 [details]
File: maps
Comment 9 Alexander 2013-11-08 06:46:50 EST
Created attachment 821552 [details]
File: open_fds
Comment 10 Alexander 2013-11-08 06:46:54 EST
Created attachment 821553 [details]
File: proc_pid_status
Comment 11 Alexander 2013-11-08 06:46:58 EST
Created attachment 821554 [details]
File: var_log_messages
Comment 12 Fedora Update System 2014-01-28 00:40:01 EST
goldendict-1.5-0.2.RC1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/goldendict-1.5-0.2.RC1.fc20
Comment 13 Fedora Update System 2014-01-28 22:08:33 EST
Package goldendict-1.5-0.2.RC1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing goldendict-1.5-0.2.RC1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1709/goldendict-1.5-0.2.RC1.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-01-31 23:01:47 EST
goldendict-1.5-0.2.RC1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.